Force-push shipment fulfillment to order source
curl --request POST \
--url https://{companyName}.api.joinluminous.com/external/api/v1/sales-orders/{salesOrderId}/shipments/{shipmentId}/force-push-source-fulfillment \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"sales_order_item_ids": [
123
],
"tracking_number": "<string>",
"carrier": "<string>"
}
'import requests
url = "https://{companyName}.api.joinluminous.com/external/api/v1/sales-orders/{salesOrderId}/shipments/{shipmentId}/force-push-source-fulfillment"
payload = {
"sales_order_item_ids": [123],
"tracking_number": "<string>",
"carrier": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({sales_order_item_ids: [123], tracking_number: '<string>', carrier: '<string>'})
};
fetch('https://{companyName}.api.joinluminous.com/external/api/v1/sales-orders/{salesOrderId}/shipments/{shipmentId}/force-push-source-fulfillment', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"success": true,
"message": "<string>",
"fulfillment_id": "<string>"
}
}{
"message": "<string>"
}{
"data": {
"success": false,
"message": "<string>"
}
}Sales Orders
Force-push shipment fulfillment to order source
Push fulfillment for a shipment to the source OMS, explicitly choosing which sales order lines to fulfill
(rather than relying on SKU matching). Use this when shipment lines do not match SKUs cleanly — e.g. for
custom kits or rebranded items. After the push, shipment_item_fulfillments are synced and shipped
quantities on the order items are recomputed from actual SIF totals.
POST
/
sales-orders
/
{salesOrderId}
/
shipments
/
{shipmentId}
/
force-push-source-fulfillment
Force-push shipment fulfillment to order source
Authorizations
Authenticate using a bearer token. To create a token, navigate to /settings/api-tokens and click Create API Token.
Body
application/json
Response
Pushed successfully
Show child attributes
Show child attributes
⌘I